URL structure
{orgGroupId} is the ID of an organization.
Supported methods and overview
GET- retrieves a summary of information about the total numbers of file objects/Secure Objects and folders/collections as well as shared and unshared items within an organization (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint retrieves a summary of information about the total numbers of file objects and folders as well as shared and unshared items within an organization (specified byorgGroupId).
The information returned by this API endpoint is utilized on the Organization Administration dashboard.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Organization Administrator’s Guide):- Organization administrator - when this user is a member of the organization whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
objectsCount - The total number of file objects in the organization (specified by
{orgGroupId}in the request’s URL). -
collectionsCount - The total number of folders in the organization (specified by
orgGroupId). -
objectsSharedCount - The total number of shared file objects in the organization (specified by
orgGroupId). -
objectsUnsharedCount - The total number of file objects in the organization (specified by
orgGroupId) which have not been shared. -
totalCount - The total number of both file objects and folders (i.e. items) within the organization specified by
orgGroupId.
Example (response):

